==========
Exceptions
==========

This section provides an overview of the exceptions used in the EODAG library.
Exceptions are used to handle errors and unexpected situations that may occur during the execution of the library's functionality.
Below, you will find the list of exception classes defined in EODAG and their purposes.

Additionally, if you have the `eodag-cube` extension installed, you will have access to extra exception classes specific to its functionality.

.. automodule:: eodag.utils.exceptions
   :members:

.. warning::

   The following classes will only be available with `eodag-cube <https://github.com/CS-SI/eodag-cube>`__ installed.

.. automodule:: eodag_cube.utils.exceptions
   :members:
